PHP ��U
前一頁 |  | 下一頁

# DOMEntityReference->__construct()

(no version information, might be only in CVS)

DOMEntityReference->__construct() -- Creates a new DOMEntityReference object

## Description

class DOMEntityReference {
__construct ( string name )
}

Creates a new DOMEntityReference object.

## Parameters

name

  The name of the entity reference.

## �d��

範例 1. Creating a new DOMEntityReference

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $entity = $element->appendChild(new DOMEntityReference('nbsp')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>&nbsp;</root> */ ?>`

## �Ѧ�

DOMDocument->createEntityReference()

前一頁 | 內容 | 下一頁
DOMElement->setAttributeNS() | 上一層 | DOMImplementation->__construct()